Viewing docs for Cloudflare v6.13.0
published on Wednesday, Jan 21, 2026 by Pulumi
published on Wednesday, Jan 21, 2026 by Pulumi
Viewing docs for Cloudflare v6.13.0
published on Wednesday, Jan 21, 2026 by Pulumi
published on Wednesday, Jan 21, 2026 by Pulumi
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as cloudflare from "@pulumi/cloudflare";
const exampleHealthcheck = cloudflare.getHealthcheck({
zoneId: "023e105f4ecef8ad9ca31a8372d0c353",
healthcheckId: "023e105f4ecef8ad9ca31a8372d0c353",
});
import pulumi
import pulumi_cloudflare as cloudflare
example_healthcheck = cloudflare.get_healthcheck(zone_id="023e105f4ecef8ad9ca31a8372d0c353",
healthcheck_id="023e105f4ecef8ad9ca31a8372d0c353")
package main
import (
"github.com/pulumi/pulumi-cloudflare/sdk/v6/go/cloudflare"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
_, err := cloudflare.LookupHealthcheck(ctx, &cloudflare.LookupHealthcheckArgs{
ZoneId: "023e105f4ecef8ad9ca31a8372d0c353",
HealthcheckId: "023e105f4ecef8ad9ca31a8372d0c353",
}, nil)
if err != nil {
return err
}
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Cloudflare = Pulumi.Cloudflare;
return await Deployment.RunAsync(() =>
{
var exampleHealthcheck = Cloudflare.GetHealthcheck.Invoke(new()
{
ZoneId = "023e105f4ecef8ad9ca31a8372d0c353",
HealthcheckId = "023e105f4ecef8ad9ca31a8372d0c353",
});
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.cloudflare.CloudflareFunctions;
import com.pulumi.cloudflare.inputs.GetHealthcheckArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var exampleHealthcheck = CloudflareFunctions.getHealthcheck(GetHealthcheckArgs.builder()
.zoneId("023e105f4ecef8ad9ca31a8372d0c353")
.healthcheckId("023e105f4ecef8ad9ca31a8372d0c353")
.build());
}
}
variables:
exampleHealthcheck:
fn::invoke:
function: cloudflare:getHealthcheck
arguments:
zoneId: 023e105f4ecef8ad9ca31a8372d0c353
healthcheckId: 023e105f4ecef8ad9ca31a8372d0c353
Using getHealthcheck
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getHealthcheck(args: GetHealthcheckArgs, opts?: InvokeOptions): Promise<GetHealthcheckResult>
function getHealthcheckOutput(args: GetHealthcheckOutputArgs, opts?: InvokeOptions): Output<GetHealthcheckResult>def get_healthcheck(healthcheck_id: Optional[str] = None,
zone_id: Optional[str] = None,
opts: Optional[InvokeOptions] = None) -> GetHealthcheckResult
def get_healthcheck_output(healthcheck_id: Optional[pulumi.Input[str]] = None,
zone_id: Optional[pulumi.Input[str]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetHealthcheckResult]func LookupHealthcheck(ctx *Context, args *LookupHealthcheckArgs, opts ...InvokeOption) (*LookupHealthcheckResult, error)
func LookupHealthcheckOutput(ctx *Context, args *LookupHealthcheckOutputArgs, opts ...InvokeOption) LookupHealthcheckResultOutput> Note: This function is named LookupHealthcheck in the Go SDK.
public static class GetHealthcheck
{
public static Task<GetHealthcheckResult> InvokeAsync(GetHealthcheckArgs args, InvokeOptions? opts = null)
public static Output<GetHealthcheckResult> Invoke(GetHealthcheckInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetHealthcheckResult> getHealthcheck(GetHealthcheckArgs args, InvokeOptions options)
public static Output<GetHealthcheckResult> getHealthcheck(GetHealthcheckArgs args, InvokeOptions options)
fn::invoke:
function: cloudflare:index/getHealthcheck:getHealthcheck
arguments:
# arguments dictionaryThe following arguments are supported:
- Healthcheck
Id string - Identifier
- Zone
Id string - Identifier
- Healthcheck
Id string - Identifier
- Zone
Id string - Identifier
- healthcheck
Id String - Identifier
- zone
Id String - Identifier
- healthcheck
Id string - Identifier
- zone
Id string - Identifier
- healthcheck_
id str - Identifier
- zone_
id str - Identifier
- healthcheck
Id String - Identifier
- zone
Id String - Identifier
getHealthcheck Result
The following output properties are available:
- Address string
- The hostname or IP address of the origin server to run health checks on.
- Check
Regions List<string> - A list of regions from which to run health checks. Null means Cloudflare will pick a default region.
- Consecutive
Fails int - The number of consecutive fails required from a health check before changing the health to unhealthy.
- Consecutive
Successes int - The number of consecutive successes required from a health check before changing the health to healthy.
- Created
On string - Description string
- A human-readable description of the health check.
- Failure
Reason string - The current failure reason if status is unhealthy.
- Healthcheck
Id string - Identifier
- Http
Config GetHealthcheck Http Config - Parameters specific to an HTTP or HTTPS health check.
- Id string
- Identifier
- Interval int
- The interval between each health check. Shorter intervals may give quicker notifications if the origin status changes, but will increase load on the origin as we check from multiple locations.
- Modified
On string - Name string
- A short name to identify the health check. Only alphanumeric characters, hyphens and underscores are allowed.
- Retries int
- The number of retries to attempt in case of a timeout before marking the origin as unhealthy. Retries are attempted immediately.
- Status string
- The current status of the origin server according to the health check. Available values: "unknown", "healthy", "unhealthy", "suspended".
- Suspended bool
- If suspended, no health checks are sent to the origin.
- Tcp
Config GetHealthcheck Tcp Config - Parameters specific to TCP health check.
- Timeout int
- The timeout (in seconds) before marking the health check as failed.
- Type string
- The protocol to use for the health check. Currently supported protocols are 'HTTP', 'HTTPS' and 'TCP'.
- Zone
Id string - Identifier
- Address string
- The hostname or IP address of the origin server to run health checks on.
- Check
Regions []string - A list of regions from which to run health checks. Null means Cloudflare will pick a default region.
- Consecutive
Fails int - The number of consecutive fails required from a health check before changing the health to unhealthy.
- Consecutive
Successes int - The number of consecutive successes required from a health check before changing the health to healthy.
- Created
On string - Description string
- A human-readable description of the health check.
- Failure
Reason string - The current failure reason if status is unhealthy.
- Healthcheck
Id string - Identifier
- Http
Config GetHealthcheck Http Config - Parameters specific to an HTTP or HTTPS health check.
- Id string
- Identifier
- Interval int
- The interval between each health check. Shorter intervals may give quicker notifications if the origin status changes, but will increase load on the origin as we check from multiple locations.
- Modified
On string - Name string
- A short name to identify the health check. Only alphanumeric characters, hyphens and underscores are allowed.
- Retries int
- The number of retries to attempt in case of a timeout before marking the origin as unhealthy. Retries are attempted immediately.
- Status string
- The current status of the origin server according to the health check. Available values: "unknown", "healthy", "unhealthy", "suspended".
- Suspended bool
- If suspended, no health checks are sent to the origin.
- Tcp
Config GetHealthcheck Tcp Config - Parameters specific to TCP health check.
- Timeout int
- The timeout (in seconds) before marking the health check as failed.
- Type string
- The protocol to use for the health check. Currently supported protocols are 'HTTP', 'HTTPS' and 'TCP'.
- Zone
Id string - Identifier
- address String
- The hostname or IP address of the origin server to run health checks on.
- check
Regions List<String> - A list of regions from which to run health checks. Null means Cloudflare will pick a default region.
- consecutive
Fails Integer - The number of consecutive fails required from a health check before changing the health to unhealthy.
- consecutive
Successes Integer - The number of consecutive successes required from a health check before changing the health to healthy.
- created
On String - description String
- A human-readable description of the health check.
- failure
Reason String - The current failure reason if status is unhealthy.
- healthcheck
Id String - Identifier
- http
Config GetHealthcheck Http Config - Parameters specific to an HTTP or HTTPS health check.
- id String
- Identifier
- interval Integer
- The interval between each health check. Shorter intervals may give quicker notifications if the origin status changes, but will increase load on the origin as we check from multiple locations.
- modified
On String - name String
- A short name to identify the health check. Only alphanumeric characters, hyphens and underscores are allowed.
- retries Integer
- The number of retries to attempt in case of a timeout before marking the origin as unhealthy. Retries are attempted immediately.
- status String
- The current status of the origin server according to the health check. Available values: "unknown", "healthy", "unhealthy", "suspended".
- suspended Boolean
- If suspended, no health checks are sent to the origin.
- tcp
Config GetHealthcheck Tcp Config - Parameters specific to TCP health check.
- timeout Integer
- The timeout (in seconds) before marking the health check as failed.
- type String
- The protocol to use for the health check. Currently supported protocols are 'HTTP', 'HTTPS' and 'TCP'.
- zone
Id String - Identifier
- address string
- The hostname or IP address of the origin server to run health checks on.
- check
Regions string[] - A list of regions from which to run health checks. Null means Cloudflare will pick a default region.
- consecutive
Fails number - The number of consecutive fails required from a health check before changing the health to unhealthy.
- consecutive
Successes number - The number of consecutive successes required from a health check before changing the health to healthy.
- created
On string - description string
- A human-readable description of the health check.
- failure
Reason string - The current failure reason if status is unhealthy.
- healthcheck
Id string - Identifier
- http
Config GetHealthcheck Http Config - Parameters specific to an HTTP or HTTPS health check.
- id string
- Identifier
- interval number
- The interval between each health check. Shorter intervals may give quicker notifications if the origin status changes, but will increase load on the origin as we check from multiple locations.
- modified
On string - name string
- A short name to identify the health check. Only alphanumeric characters, hyphens and underscores are allowed.
- retries number
- The number of retries to attempt in case of a timeout before marking the origin as unhealthy. Retries are attempted immediately.
- status string
- The current status of the origin server according to the health check. Available values: "unknown", "healthy", "unhealthy", "suspended".
- suspended boolean
- If suspended, no health checks are sent to the origin.
- tcp
Config GetHealthcheck Tcp Config - Parameters specific to TCP health check.
- timeout number
- The timeout (in seconds) before marking the health check as failed.
- type string
- The protocol to use for the health check. Currently supported protocols are 'HTTP', 'HTTPS' and 'TCP'.
- zone
Id string - Identifier
- address str
- The hostname or IP address of the origin server to run health checks on.
- check_
regions Sequence[str] - A list of regions from which to run health checks. Null means Cloudflare will pick a default region.
- consecutive_
fails int - The number of consecutive fails required from a health check before changing the health to unhealthy.
- consecutive_
successes int - The number of consecutive successes required from a health check before changing the health to healthy.
- created_
on str - description str
- A human-readable description of the health check.
- failure_
reason str - The current failure reason if status is unhealthy.
- healthcheck_
id str - Identifier
- http_
config GetHealthcheck Http Config - Parameters specific to an HTTP or HTTPS health check.
- id str
- Identifier
- interval int
- The interval between each health check. Shorter intervals may give quicker notifications if the origin status changes, but will increase load on the origin as we check from multiple locations.
- modified_
on str - name str
- A short name to identify the health check. Only alphanumeric characters, hyphens and underscores are allowed.
- retries int
- The number of retries to attempt in case of a timeout before marking the origin as unhealthy. Retries are attempted immediately.
- status str
- The current status of the origin server according to the health check. Available values: "unknown", "healthy", "unhealthy", "suspended".
- suspended bool
- If suspended, no health checks are sent to the origin.
- tcp_
config GetHealthcheck Tcp Config - Parameters specific to TCP health check.
- timeout int
- The timeout (in seconds) before marking the health check as failed.
- type str
- The protocol to use for the health check. Currently supported protocols are 'HTTP', 'HTTPS' and 'TCP'.
- zone_
id str - Identifier
- address String
- The hostname or IP address of the origin server to run health checks on.
- check
Regions List<String> - A list of regions from which to run health checks. Null means Cloudflare will pick a default region.
- consecutive
Fails Number - The number of consecutive fails required from a health check before changing the health to unhealthy.
- consecutive
Successes Number - The number of consecutive successes required from a health check before changing the health to healthy.
- created
On String - description String
- A human-readable description of the health check.
- failure
Reason String - The current failure reason if status is unhealthy.
- healthcheck
Id String - Identifier
- http
Config Property Map - Parameters specific to an HTTP or HTTPS health check.
- id String
- Identifier
- interval Number
- The interval between each health check. Shorter intervals may give quicker notifications if the origin status changes, but will increase load on the origin as we check from multiple locations.
- modified
On String - name String
- A short name to identify the health check. Only alphanumeric characters, hyphens and underscores are allowed.
- retries Number
- The number of retries to attempt in case of a timeout before marking the origin as unhealthy. Retries are attempted immediately.
- status String
- The current status of the origin server according to the health check. Available values: "unknown", "healthy", "unhealthy", "suspended".
- suspended Boolean
- If suspended, no health checks are sent to the origin.
- tcp
Config Property Map - Parameters specific to TCP health check.
- timeout Number
- The timeout (in seconds) before marking the health check as failed.
- type String
- The protocol to use for the health check. Currently supported protocols are 'HTTP', 'HTTPS' and 'TCP'.
- zone
Id String - Identifier
Supporting Types
GetHealthcheckHttpConfig
- Allow
Insecure bool - Do not validate the certificate when the health check uses HTTPS.
- Expected
Body string - A case-insensitive sub-string to look for in the response body. If this string is not found, the origin will be marked as unhealthy.
- Expected
Codes List<string> - The expected HTTP response codes (e.g. "200") or code ranges (e.g. "2xx" for all codes starting with 2) of the health check.
- Follow
Redirects bool - Follow redirects if the origin returns a 3xx status code.
- Header
Dictionary<string, Immutable
Array<string>> - The HTTP request headers to send in the health check. It is recommended you set a Host header by default. The User-Agent header cannot be overridden.
- Method string
- The HTTP method to use for the health check. Available values: "GET", "HEAD".
- Path string
- The endpoint path to health check against.
- Port int
- Port number to connect to for the health check. Defaults to 80 if type is HTTP or 443 if type is HTTPS.
- Allow
Insecure bool - Do not validate the certificate when the health check uses HTTPS.
- Expected
Body string - A case-insensitive sub-string to look for in the response body. If this string is not found, the origin will be marked as unhealthy.
- Expected
Codes []string - The expected HTTP response codes (e.g. "200") or code ranges (e.g. "2xx" for all codes starting with 2) of the health check.
- Follow
Redirects bool - Follow redirects if the origin returns a 3xx status code.
- Header map[string][]string
- The HTTP request headers to send in the health check. It is recommended you set a Host header by default. The User-Agent header cannot be overridden.
- Method string
- The HTTP method to use for the health check. Available values: "GET", "HEAD".
- Path string
- The endpoint path to health check against.
- Port int
- Port number to connect to for the health check. Defaults to 80 if type is HTTP or 443 if type is HTTPS.
- allow
Insecure Boolean - Do not validate the certificate when the health check uses HTTPS.
- expected
Body String - A case-insensitive sub-string to look for in the response body. If this string is not found, the origin will be marked as unhealthy.
- expected
Codes List<String> - The expected HTTP response codes (e.g. "200") or code ranges (e.g. "2xx" for all codes starting with 2) of the health check.
- follow
Redirects Boolean - Follow redirects if the origin returns a 3xx status code.
- header Map<String,List<String>>
- The HTTP request headers to send in the health check. It is recommended you set a Host header by default. The User-Agent header cannot be overridden.
- method String
- The HTTP method to use for the health check. Available values: "GET", "HEAD".
- path String
- The endpoint path to health check against.
- port Integer
- Port number to connect to for the health check. Defaults to 80 if type is HTTP or 443 if type is HTTPS.
- allow
Insecure boolean - Do not validate the certificate when the health check uses HTTPS.
- expected
Body string - A case-insensitive sub-string to look for in the response body. If this string is not found, the origin will be marked as unhealthy.
- expected
Codes string[] - The expected HTTP response codes (e.g. "200") or code ranges (e.g. "2xx" for all codes starting with 2) of the health check.
- follow
Redirects boolean - Follow redirects if the origin returns a 3xx status code.
- header {[key: string]: string[]}
- The HTTP request headers to send in the health check. It is recommended you set a Host header by default. The User-Agent header cannot be overridden.
- method string
- The HTTP method to use for the health check. Available values: "GET", "HEAD".
- path string
- The endpoint path to health check against.
- port number
- Port number to connect to for the health check. Defaults to 80 if type is HTTP or 443 if type is HTTPS.
- allow_
insecure bool - Do not validate the certificate when the health check uses HTTPS.
- expected_
body str - A case-insensitive sub-string to look for in the response body. If this string is not found, the origin will be marked as unhealthy.
- expected_
codes Sequence[str] - The expected HTTP response codes (e.g. "200") or code ranges (e.g. "2xx" for all codes starting with 2) of the health check.
- follow_
redirects bool - Follow redirects if the origin returns a 3xx status code.
- header Mapping[str, Sequence[str]]
- The HTTP request headers to send in the health check. It is recommended you set a Host header by default. The User-Agent header cannot be overridden.
- method str
- The HTTP method to use for the health check. Available values: "GET", "HEAD".
- path str
- The endpoint path to health check against.
- port int
- Port number to connect to for the health check. Defaults to 80 if type is HTTP or 443 if type is HTTPS.
- allow
Insecure Boolean - Do not validate the certificate when the health check uses HTTPS.
- expected
Body String - A case-insensitive sub-string to look for in the response body. If this string is not found, the origin will be marked as unhealthy.
- expected
Codes List<String> - The expected HTTP response codes (e.g. "200") or code ranges (e.g. "2xx" for all codes starting with 2) of the health check.
- follow
Redirects Boolean - Follow redirects if the origin returns a 3xx status code.
- header Map<List<String>>
- The HTTP request headers to send in the health check. It is recommended you set a Host header by default. The User-Agent header cannot be overridden.
- method String
- The HTTP method to use for the health check. Available values: "GET", "HEAD".
- path String
- The endpoint path to health check against.
- port Number
- Port number to connect to for the health check. Defaults to 80 if type is HTTP or 443 if type is HTTPS.
GetHealthcheckTcpConfig
- Method string
- The TCP connection method to use for the health check. Available values: <span pulumi-lang-nodejs=""connectionEstablished"" pulumi-lang-dotnet=""ConnectionEstablished"" pulumi-lang-go=""connectionEstablished"" pulumi-lang-python=""connection_established"" pulumi-lang-yaml=""connectionEstablished"" pulumi-lang-java=""connectionEstablished"">"connection_established".
- Port int
- Port number to connect to for the health check. Defaults to 80.
- Method string
- The TCP connection method to use for the health check. Available values: <span pulumi-lang-nodejs=""connectionEstablished"" pulumi-lang-dotnet=""ConnectionEstablished"" pulumi-lang-go=""connectionEstablished"" pulumi-lang-python=""connection_established"" pulumi-lang-yaml=""connectionEstablished"" pulumi-lang-java=""connectionEstablished"">"connection_established".
- Port int
- Port number to connect to for the health check. Defaults to 80.
- method String
- The TCP connection method to use for the health check. Available values: <span pulumi-lang-nodejs=""connectionEstablished"" pulumi-lang-dotnet=""ConnectionEstablished"" pulumi-lang-go=""connectionEstablished"" pulumi-lang-python=""connection_established"" pulumi-lang-yaml=""connectionEstablished"" pulumi-lang-java=""connectionEstablished"">"connection_established".
- port Integer
- Port number to connect to for the health check. Defaults to 80.
- method string
- The TCP connection method to use for the health check. Available values: <span pulumi-lang-nodejs=""connectionEstablished"" pulumi-lang-dotnet=""ConnectionEstablished"" pulumi-lang-go=""connectionEstablished"" pulumi-lang-python=""connection_established"" pulumi-lang-yaml=""connectionEstablished"" pulumi-lang-java=""connectionEstablished"">"connection_established".
- port number
- Port number to connect to for the health check. Defaults to 80.
- method str
- The TCP connection method to use for the health check. Available values: <span pulumi-lang-nodejs=""connectionEstablished"" pulumi-lang-dotnet=""ConnectionEstablished"" pulumi-lang-go=""connectionEstablished"" pulumi-lang-python=""connection_established"" pulumi-lang-yaml=""connectionEstablished"" pulumi-lang-java=""connectionEstablished"">"connection_established".
- port int
- Port number to connect to for the health check. Defaults to 80.
- method String
- The TCP connection method to use for the health check. Available values: <span pulumi-lang-nodejs=""connectionEstablished"" pulumi-lang-dotnet=""ConnectionEstablished"" pulumi-lang-go=""connectionEstablished"" pulumi-lang-python=""connection_established"" pulumi-lang-yaml=""connectionEstablished"" pulumi-lang-java=""connectionEstablished"">"connection_established".
- port Number
- Port number to connect to for the health check. Defaults to 80.
Package Details
- Repository
- Cloudflare pulumi/pulumi-cloudflare
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
cloudflareTerraform Provider.
Viewing docs for Cloudflare v6.13.0
published on Wednesday, Jan 21, 2026 by Pulumi
published on Wednesday, Jan 21, 2026 by Pulumi
